Skip to content

[v2.0] Arcane Archer, a ranged fighter and fighter/mage kit

2»

Comments

  • The user and all related content has been deleted.
    Grammarsalad
  • DregothofTyrDregothofTyr Member Posts: 229
    is this compatible with IWD:EE?
  • AionZAionZ Member Posts: 3,268
    @DregothofTyr Maybe? I don't really play IWDEE much so I'm not familiar with how modding it works differently but unless there's major engine differences or if I used any 2.0 opcodes not present in the current version of IWDEE I don't see why it wouldn't.
  • AedanAedan Member, Translator (NDA) Posts: 8,541

    *cringe* Kill me.

    I can safely say that the English version still works. I'll see what I can do.

    Ciao!
    Did you have the chance to find the root of the problem?
  • AionZAionZ Member Posts: 3,268
    @Aedan Unfortunately not - I haven't touched this mod in a while. The last thing I did was to try and implement the multi-class kitting mentioned above, which is only about half complete.
  • AedanAedan Member, Translator (NDA) Posts: 8,541
    I see. Thanks for the feedback. I hope you will find the time to find and fix the problem.
  • SatakOzSatakOz Member Posts: 2
    Really interested in trying this out, however, it doesn't seem to be installing right, am I doing something wrong, moved both the files from the Zip into the BGEE Folder on my computer, and run the installer. However, when I load up the game and try to make a character, the text is all wrong.
  • AionZAionZ Member Posts: 3,268
    @SatakOz Bizarre. I'll try and reproduce it but out of curiosity you did pick English as the game language on install right, and not Italian by accident? That's the first possible cause I can think of atm.
  • GrimLefourbeGrimLefourbe Member Posts: 637
    Did you use modmerge if you're on a SoD install ?
  • AionZAionZ Member Posts: 3,268
    @SatakOz @GrimLefourbe Oh, that's a very good point I haven't thought of. I don't play the Steam/GoG version of EE so that would be a reason why I can't reproduce this issue. Hope this helps.
  • SatakOzSatakOz Member Posts: 2
    That seems to have fixed it. Many thanks, completely new to modding BG, so knew it would be something I'd done/hadn't done.
  • DervanDervan Member Posts: 14
    These looks like marvelous !

    Can't wait to try this new class in game - it looks like so strong :P
    _Luke_
  • AionZAionZ Member Posts: 3,268
    Finally got around to updating to v2.

    The spells have been changed back to on-hit effects from inventory items because I got tired of inventory managing. However, the effects will vanish after a successful attack so there's no APR abuse. Enhance Arrow also now scales with level, dealing more damage and giving arrows an enchantment bonus. I've also added a fighter/mage version of the kit.

    I've also made an item usability tweak. For some bizarre reason, robes in the game are coded to be unusable by barbarians, which the AA takes its usability from, which means a dual- or multi-class AA/mage will be unable to use robes. As a result, I decided to change the AA to use the archer's usability, but I've also enabled elven chain mail for archers and the arcane archer.
    Grammarsalad
  • The user and all related content has been deleted.
  • RaduzielRaduziel Member Posts: 4,714
    @Artemius_I couldn't install the component 2 (Fighter/Mage). Here's the debug.

    I'm using EET BTW.
  • RaduzielRaduziel Member Posts: 4,714
    Was digging the tp2, there's no command to copy any of the spl files. Am I seeing wrong?
  • Eltharion1979Eltharion1979 Member Posts: 81
    Hello, great job again @Artemius_I :-) one question though, I pick arcane archer, pure fighter class, not mage/fighter style, so my character can wear only elven chain armor?
  • BloodstoneBloodstone Member Posts: 99
    I just did an EET Install and for some reason this mod got skipped in the install. I was really looking forward to playing this as the Ftr/Mage. Is there any reason I can't just install it and just start a new game so that I can play the Class/Kit? It's EET, so I wasn't sure if installing it after the EET_End would create a problem or not. Otherwise I just won't get to play it. Thanks.
  • BloodstoneBloodstone Member Posts: 99

    Suggestion (and feel free to ignore it):

    Now that multiclass kits are working well in v2.0+, why not make this a proper arcane kit by making it a fighter/mage kit?

    The various 'Create Arrow' abilities could be turned into wizard spells that only this kit could cast. It'd be kind of cool IMHO. Sort of a ranged analogue to the Bladesinger F/M kit.

    If interested, I'm happy to help with the implementation. It's not hard.

    @subtledoctor it appears that the v2 of this Mod which was to add the Ftr/Mage Multi Kit won't install with the latest version from Github. Is there any kind of work around that can be done to facilitate it? I know you have done alot of work with the NPC Kits but wasn't sure if there was anyway to accomplish being able to run this as a Ftr/Mage instead of just a Ftr I would have to dual down the road. It appears ArtemiusI isn't working on it anymore, wasn't sure if you had any insights
  • deadcow9497deadcow9497 Member Posts: 1
    Anyone have any experience with this mod with up to date EET? I have not been able to get this mod to work so far, fighter mod claims to install but is unavailable during character creation, and the Fight/mage aspect won't install at all.
  • AionZAionZ Member Posts: 3,268
    @deadcow9497

    I don’t support this standalone anymore. Use my kit pack: https://github.com/ArtemiusI/The-Artisan-s-Kitpack
Sign In or Register to comment.